/* TentacleView.h
 * Copyright 1997, Jake Hamby
 */

#ifndef Tentacle_VIEW_H
#define Tentacle_VIEW_H

#include <GLView.h>

class TentacleView : public BGLView {
public:
	TentacleView(BRect frame, char *name);
	~TentacleView(void);
	virtual void AttachedToWindow();
	virtual void Draw(BRect updateRect);
	virtual void Pulse( void );
	virtual void MouseMoved (  BPoint point, 
					uint32 transit, 
					const BMessage *message ) ;
	virtual void FrameResized ( float width, float height );
	void		myCube ( float size );
	void		mySphere ( float size , int rows, int cols);
	
	int		shoulder, elbow;
	
private:	
	void	whip ( int, int );
	void	display ( void );
	static	long drawer ( void *);
	thread_id	draw_thread;
};

#endif