/* Tentacle.cpp
 * Copyright 1997, Bill Thibault
 */

#include "TentacleWindow.h"
#include "TentacleView.h"
#include "Tentacle.h"

main() {
	TentacleApp myApplication;
	
	myApplication.Run();
}

TentacleApp::TentacleApp() :
	BApplication("application/x-vnd.tebo-tentacle")
{
	TentacleWindow *aWindow;
	TentacleView *aView;
	BRect aRect;
	
	aRect.Set(0, 0, 200, 200);
	aRect.OffsetBy ( 100, 80 );
	aWindow = new TentacleWindow(aRect);
	
	aRect.OffsetTo(B_ORIGIN);
	aView = new TentacleView(aRect, "TentacleView");
	
	aWindow->AddChild(aView);
	aWindow->Show();
}
